import { Document } from "apicurio-data-models";
import { Topic } from "apicurio-ts-core";
/**
 * A service providing document related functionality, including the ability to
 * easily access the current document being edited and document related notifications
 * such as when it is changed.
 */
export declare class DocumentService {
    private _document;
    private _change;
    constructor();
    setDocument(document: Document): void;
    currentDocument(): Document;
    emitChange(): void;
    change(): Topic<void>;
    reset(): void;
}
